<?php
// Show errors
ini_set('display_errors', 1); 	// 0 - Off; 1 - On
error_reporting (E_ALL); 		// 0 - Off; E_ALL - On

/*
********************************************************************
*			Name:	CMS-FS FREE - Install						   *
********************************************************************
*/
/*
File: index.php
Version: 0.01
Date: 08.01.16
Developer: Filippov Sergey
Web: www.X-FS.Net
********************************************************************
*/
define( '_X-FS', 1 ); // Защита файлов инклюдинга от прямого вызова
// *****************************************************************

// Установка на нужный язык - Стартуем с сессии
session_start(); 

if (!isset($_SESSION['lang'])) 	$_SESSION['lang']="en"; // Устанавливаем язык по умолчанию
if (isset($_GET['lang'])) 	$_SESSION['lang']=$_GET['lang']; // Устанавливаем нужный язык
$lg = $_SESSION['lang'];

require "lang/$lg.php"; // Файл языка

$back = "
<div align='center'>
	<table border='0' width='400' height='20'>
		<tr>
			<td><font color='#00CC00'><a href=\"javascript:history.back()\" onMouseOver=\"window.status='$lng[6]';return true\">$lng[6]</a></font></td>
		</tr>
	</table>
</div>";

echo "
<html>
<head>
<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">
<title>$lng[install]</title>
<link rel=\"icon\" href=\"favicon.ico\" type=\"image/x-icon\"> 
<link rel=\"shortcut icon\" href=\"favicon.ico\" type=\"image/x-icon\">
<link rel=\"stylesheet\" href=\"css/style.css\" type=\"text/css\">
<script src=\"js/jquery-1.11.2.min.js\"></script>
<script language=\"javascript\" type=\"text/javascript\">
function checkParams() {
    var db = $('#db').val();
    var user = $('#user').val();
    var pass = $('#pass').val();
     
    if(db.length >=2 && user.length >=2 && pass.length >=2) {
        $('#submit').removeAttr('disabled');
    } else {
        $('#submit').attr('disabled', 'disabled');
    }
}

function checkParams2() {
    var fam = $('#fam').val();
    var name = $('#name').val();
    var mail = $('#mail').val();
     
    if(fam.length >=2 && name.length >=2 && mail.length >=2) {
        $('#submit').removeAttr('disabled');
    } else {
        $('#submit').attr('disabled', 'disabled');
    }
}
</script>
</head>
<body background=\"img/bg.gif\">
<table border='0' width='100%' height='100%'>
		<tr>
			<td height='600px' class='block'>
			<center>
			<a target=\"_blank\" href=\"http://www.x-fs.net\"><img border=\"0\" src=\"img/logo-300x115.png\"></a>
			<br><br>";

if (!is_writable('../A/config/')) die ("$lng[no_write]");

if (isset($_GET['step']))
	$step = $_GET['step'];
else
	$step = 0;

// Шаг 0
switch($step) {
	case 0:
	echo "<h1>$lng[title]</h1>
		<table class='block' align=\"center\">
			<tr>
				<td>Choose language:<td>
				<td><a title='Русский' href=\"?step=1&lang=ru\"><img src=\"img/ru.png\" alt=\"Русский\" width=\"32\" height=\"32\" /></a></td>
				<td><a title='Український' href=\"?step=7&lang=ua\"><img src=\"img/ua_soon.png\" alt=\"Український\" width=\"32\" height=\"32\" /></a></td>
				<td><a title='Nederlands' href=\"?step=7&lang=nl\"><img src=\"img/nl_soon.png\" alt=\"Nederlands\" width=\"32\" height=\"32\" /></a></td>
				<td><a title='English' href=\"?step=7&lang=en\"><img src=\"img/en_soon.png\" alt=\"English\" width=\"32\" height=\"32\" /></a></td>
				<td><a title='Deutsch' href=\"?step=7&lang=de\"><img src=\"img/de_soon.png\" alt=\"Deutsch\" width=\"32\" height=\"32\" /></a></td>
			</tr>
		</table>
		<br>
		<br>
			<div><img src=\"img/step1.png\"></div>";
			
// Проверяем файл db.php, если есть удаляем его для создания нового!
if (file_exists('../A/config/db.php')) unlink('../A/config/db.php');

	break; 
// Конец - Шаг 0

// Шаг 1
	case 1: 
	echo "<h1>$lng[install]</h1>
<form method='post' action='?step=2'>
  <p>$lng[0]</p>
  <table class='block'>
    <tr>
      <td class='name_fields'>$lng[1]</td>
      <td><input id='db' name='db' type='text' size='25' onkeyup=\"checkParams()\" placeholder=\"db_name\" autocomplete=\"off\" onblur=this.style.background='#ffffff' onfocus=this.style.background='#e0f7bd' /></td>
    </tr>
    <tr>
      <td class='name_fields'>$lng[2]</td>
      <td><input id='user' name='user' type='text' size='25' onkeyup=\"checkParams()\" placeholder=\"db_user\" autocomplete=\"off\" onblur=this.style.background='#ffffff' onfocus=this.style.background='#e0f7bd' /></td>
    </tr>
    <tr>
      <td class='name_fields'>$lng[3]</td>
      <td><input id='pass' name='pass' type='password' size='25' onkeyup=\"checkParams()\" placeholder=\"db_password\" autocomplete=\"off\" onblur=this.style.background='#ffffff' onfocus=this.style.background='#e0f7bd' /> <input onchange=\"if ($('#pass').get(0).type=='password') $('#pass').get(0).type='text'; else $('#pass').get(0).type='password';\" name=\"fff\" type=\"checkbox\" value=\"false\">$lng[11]</td>
    </tr>
    <tr>
      <td class='name_fields'>$lng[4]</td>
      <td><input id='host' name='host' type='text' size='25' value='localhost' onblur=\"if(this.value=='') this.value='localhost', this.style.background='#ffffff'; if(this.value!='localhost') this.style.background='#ffffff'\" onfocus=\"if(this.value=='localhost') this.value='', this.style.background='#e0f7bd'\"/></td>
    </tr>
	<tr>
      <td class='name_fields'>$lng[10]</td>
      <td><input id='pref' name='pref' type='text' size='25' value='xfs_' onblur=\"if(this.value=='') this.value='xfs_', this.style.background='#ffffff'; if(this.value!='xfs_') this.style.background='#ffffff'\" onfocus=\"if(this.value=='xfs_') this.value='', this.style.background='#e0f7bd'\"/></td>
    </tr>
  </table>
			<br>
			<input name='lg' type='hidden' value='$lg'>
			<input id=\"submit\" name='submit' type='submit' value='$lng[5]' disabled />
			</form>
$back
<br>
		<br>
			<div><img src=\"img/step2.png\"></div>
";
	break;
// Конец - Шаг 1



// Шаг 2
	case 2:
	echo "<h1>$lng[install]</h1><br>";
	
		$db		= trim($_POST['db']);
		$user	= trim($_POST['user']);
		$pass	= trim($_POST['pass']);
		$host	= trim($_POST['host']);
		$pref	= trim($_POST['pref']);
		$lg		= trim($_POST['lg']);
		
$row = mysqli_connect("$host","$user","$pass");

	if (!$row) { 
	echo "<table class='block'><tr><td class='name_fields'><div align='left'>$lng[7] <img src='img/nee.png' width=16 height=16><br><br>"; }
				else { echo "<table class='block'><tr><td class='name_fields'><div align='left'> $lng[7] <img src='img/ja.png' width=16 height=16><br><br>"; }
$row2 = mysqli_select_db($row,$db);


	if (!$row2) {
	echo "$lng[8] <img src='img/nee.png' width=16 height=16><br><br></div></td></tr></table>"; }
				else { echo "$lng[8] <img src='img/ja.png' width=16 height=16><br><br></div></td></tr></table>"; }
	
echo "<form method='post' action='?step=3'>
		<input name='lg' type='hidden' value='$lg'>
		<input name='db' type='hidden' value='$db'>
		<input name='user' type='hidden' value='$user'>
		<input name='pass' type='hidden' value='$pass'>
		<input name='host' type='hidden' value='$host'>
		<input name='pref' type='hidden' value='$pref'>
		<br><br>
		
$back
";

if ($row and $row2) { echo "<input class='' name='submit' type='submit' value='$lng[5]' /></form><br>
<br>
	<div><img src=\"img/step3.png\"></div>";}
	else {echo "</form>";}
	
	break;
// Конец - Шаг 2


// Шаг 3
	case 3:
	
$db		= trim($_POST['db']);
$user	= trim($_POST['user']);
$pass	= trim($_POST['pass']);
$host	= trim($_POST['host']);
$pref	= trim($_POST['pref']);
$lg		= trim($_POST['lg']);
		
$f = fopen('../A/config/db.php', 'w');

$def_lang = '$def_lang';
$dbname = '$dbname';
$dbuser = '$dbuser';
$dbpwd = '$dbpwd';
$dbpref = '$dbpref';
$dhost = '$host';

$fdata = "
<?php  \n
// Защита от прямого вызова файла
defined('_X-FS') or die (include '../oops.php');
// Устанавливаем язык по умолчанию
$def_lang = '$lg';			// Language 
$dbname = '$db';			// DataBase
$dbuser = '$user'; 			// User
$dbpwd = '$pass';			// Password
$dbpref = '$pref';			// Prefix
$dhost = '$host';			// Host - localhost\n
?>
";
fputs ($f, "$fdata");

echo "<h1>$lng[install]</h1><br><table class='block'><tr><td class='name_fields'><div align='left'>";
if ($f) echo "$lng[9] <img src='img/ja.png' width=16 height=16>";
		else echo "$lng[9] <img src='img/nee.png' width=16 height=16>";
fclose ($f);
echo "</div></td></tr></table>";

echo "<br><br><a href='?step=4'><input class='' name='submit' type='submit' value='$lng[5]' /></a><br><br>
$back
<br>
<br>
	<div><img src=\"img/step4.png\"></div>
";	
	
	break;
// Конец - Шаг 3


// Шаг 4
	case 4:

require_once('../A/config/db.php');

require_once "sql/$lg.txt"; // Подключаем дамп базы

$mysql = mysqli_connect($host,$dbuser,$dbpwd,$dbname);

mysqli_set_charset($mysql, "utf8"); // Явно указываем кодировку

//mysqli_select_db("$dbname");

echo "<h1>$lng[install]</h1><br><br><div class='name_fields'><h3><center>$lng[20]</center></h3></div>";
      foreach($db_install as $sql) {
      mysqli_query($mysql,$sql);
      }	 
echo "<div class='name_fields'><h3><center>$lng[21]</center></h3></div>";

echo "<br><br><a href='?step=5'><input class='' name='submit' type='submit' value='$lng[5]' /></a><br><br>
$back
<br>
<br>
	<div><img src=\"img/step5.png\"></div>
";
 
	break;
// Конец - Шаг 4

// Шаг 5
	case 5:
echo "<h1>$lng[install]</h1><br>
<div class='name_fields'><center>";

require_once "license/$lg.txt";

echo "</center></div>
<form method='post' action='?step=6'>
   <table class='block'>
    <tr>
      <td class='name_fields'>$lng[22]</td>
      <td><input id='fam' name='fam' type='text' size='25' onkeyup=\"checkParams2()\" placeholder=\"$lng[23]\" autocomplete=\"off\" onblur=this.style.background='#ffffff' onfocus=this.style.background='#e0f7bd' /></td>
	  <td><input id='name' name='name' type='text' size='25' onkeyup=\"checkParams2()\" placeholder=\"$lng[24]\" autocomplete=\"off\" onblur=this.style.background='#ffffff' onfocus=this.style.background='#e0f7bd' /></td>
	  <td><input id='mail' name='mail' type='text' size='25' onkeyup=\"checkParams2()\" placeholder=\"$lng[25]\" autocomplete=\"off\" onblur=this.style.background='#ffffff' onfocus=this.style.background='#e0f7bd' /></td>
    </tr>
  </table>
			<br>
			<input name='lg' type='hidden' value='$lg'>
			<input id=\"submit\" name='submit' type='submit' value='$lng[5]' disabled />
			</form>
$back
<br>
<br>
	<div><img src=\"img/step6.png\"></div>
";
	
	break;
// Конец - Шаг 5

// Шаг 6
	case 6:
	
if (isset($_POST['fam'])) 			{$fam = $_POST['fam'];}
if (isset($_POST['name'])) 			{$name = $_POST['name'];}
if (isset($_POST['mail'])) 			{$mail = $_POST['mail'];}
if (isset($_POST['lg'])) 			{$lg = $_POST['lg'];}	

$toMail = "info@x-fs.net";
$subject = "$lng[pgm] $lg";
$UserMail = "$mail";

$message = "
<table border=0 width=100% bordercolor='#C0C0C0'>
<tr bgcolor=#F0F0FF><td><p align='center'><font color='#008000'><b>Регистрация программы</b></font> : <font color='#FF6600'><b>$lng[pgm]</b></font></td></tr>
<tr><td><b><font color='#008000'>Фамилия</font></b> : $fam</td></tr>
<tr bgcolor=#F0F0FF><td><b><font color='#008000'>Имя</font></b> : $name</td></tr>
<tr><td><b><font color='#008000'>E-mail</font></b> : <a href='mailto:$mail'>$mail</a></td></tr>
<tr bgcolor=#F0F0FF><td><b><font color='#008000'>Сайт</font></b> : <a href=http://$_SERVER[SERVER_NAME]>$_SERVER[SERVER_NAME]</a></td></tr>
</table>";

@$headers = "From: ".($_SERVER['SERVER_NAME'])."<".$mail.">\r\n";
@$headers .= "Content-type: text/html; charset=\"utf-8\"\n";
@$headers .= "X-Mailer: X-FS\n";

$sended =  mail ($toMail, $subject, $message, $headers);

if (!$sended) {
		echo $lng[43];
		exit(); }
   else {
	   echo "<H1>" . $lng[40] . "</H1><br><br><H3 class='name_fields'><center>" . $lng[41] . "</center></H3><br><br><H3 class='name_fields'><center>" . $lng[42] . "</center></H3><br><br><a target=\"_blank\" href=http://$_SERVER[SERVER_NAME]>$lng[44]</a> - <a target=\"_blank\" href=http://$_SERVER[SERVER_NAME]/A/index.php>$lng[45]</a>" ;
		echo "<br><br><H3><center>". $lng[46] ."</center></H3><br><H3 class='name_fields'><center>". $lng[47] . "</center></H3>";
		
$reguser = "
<table border=0 width=100% bordercolor='#C0C0C0'>
<tr bgcolor=#F0F0FF><td><p align='center'><font color='#008000'><b>$lng[40]</b></font> <br> <font color='#FF6600'><b>$lng[41]</b></font></td></tr>
<tr><td><b><font color='#008000'>$lng[48]</font></b> : demo</td></tr>
<tr bgcolor=#F0F0FF><td><b><font color='#008000'>$lng[49]</font></b> : demo</td></tr>
<tr><td><b><font color='#008000'>$lng[50]</font></b> : <a target=\"_blank\" href=http://$_SERVER[SERVER_NAME]/A/index.php>$_SERVER[SERVER_NAME]/A/index.php</a></td></tr>
<tr bgcolor=#F0F0FF><td><b><font color='#008000'>$lng[51]</font></b> : <a target=\"_blank\" href=http://$_SERVER[SERVER_NAME]>$_SERVER[SERVER_NAME]</a></td></tr>
</table><br><br>$lng[52]";

@$headers = "From: ".($_SERVER['SERVER_NAME'])."<".$mail.">\r\n";
@$headers .= "Content-type: text/html; charset=\"utf-8\"\n";
@$headers .= "X-Mailer: X-FS\n";

$sended =  mail ($mail, $subject, $reguser, $headers);
   }
	break;
// Конец - Шаг 6


// Шаг 7
	case 7:
echo "<h1>SOON</h1><br>	
<br>
$back
";	
	break;
// Конец - Шаг 6
}
?>
			</center>
			<br><br><br><br><br><br><br>
			<?php echo $lng['cmsname']; ?>
			</td>
		</tr>
</table>
<table>
	<tr>
		<td></td>
	</tr>
</table>
</body>
</html>
